############################################################################
# $VER: global.wl 1.2.3 (20.1.1997)
#
# Include this file in your main site description file and you get really easy
# construction of the header, meta-tags, and body construct. Simply define, on
# each page, one or more of the following (given as examples):
#
#	bgimage="pix/myfile.gif";		background tiled image
#	bgcolor="#ffffff";			page background color
#	textcolor="#000000";			color of text
#	linkcolor="#202020";			color of links
#	vlinkcolor="#404040";			color of visited links
#	alinkcolor="#808080";			color of active link
#	body-other="test=foo";			other stuff that you may need
#
#	author="Jimi Hendrix";			meta author
#	description="This is a test page";	meta description
#	keywords="test hendrix amiga";		meta keywords
#	title="A cool test page";		window title bar
#
# The required 'copyright-notice' will also be included so you don't have to
# worry about it elsewhere in your pages. You can, of course, define as much
# or as little of this in the (global) SITE object as you want, if most of
# your pages are going to use the same images, colors, and author.
#
# Then define the 'value' of a page as something like
#
#			value = header my-page-stuff footer;
#
# and define 'my-page-stuff' for each page as well (or make it another pattern
# and define 'my-page-stuff' as a pattern in the SITE object; you now have an
# instant HTML page with proper headers, meta tags for the search engines, etc.
#
# Build yourself multiple definitions that are "compatible" with 'my-page-stuff'
# and you can switch between different page styles/layouts (different backdrops,
# navigation bars, text/link/background colors, etc.)
#
# Please note that all "private" symbols in this file begin with a ^ character.
# Never, ever, use ^ as the first character in your own symbols: if you do you
# are almost guaranteed to run into trouble sooner or later, because WebLord
# Professional will base its paste-and-publish(TM) ;-) methods on this scheme.
#

text = header {
	value = "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML " ^html-version "//" ^html-language "\">\n"
		"<html" ^language-spec ^direction-spec ">\n"
		"\n"
		"<head>\n"
		^main-header-elements
		other-header-elements	# define additional elements by this name
		"</head>\n"
		"\n"
		"<body" ^body-tags ">\n"
		copyright-notice	# this ensures that pages have a proper "built with..." text
}

text = footer { value = "\n</body>\n</html>" }


###############################( BODY TAGS )##############################
text = ^body-tags {
	value = ^body-bgcolor ^body-bgimage
		^body-textcolor ^body-linkcolor ^body-vlinkcolor ^body-alink-color
		^body-other-tags;
}
text = ^body-bgimage     { ifdef = bgimage;    value = " background=" ^_bgimage }
text = ^body-bgcolor     { ifdef = bgcolor;    value = " bgcolor=" ^_bgcolor }
text = ^body-textcolor   { ifdef = textcolor;  value = " text=" ^_textcolor }
text = ^body-linkcolor   { ifdef = linkcolor;  value = " link=" ^_linkcolor }
text = ^body-vlinkcolor  { ifdef = vlinkcolor; value = " vlink=" ^_vlinkcolor }
text = ^body-alinkcolor	{ ifdef = alinkcolor; value = " alink=" ^_alinkcolor }
text = ^body-other-tags  { ifdef = body-other; value = " " ^_body-other }
# the following enable automatic quoting if the values contain special symbols
text = ^_bgimage	{ ifdef = bgimage;    html-quote-if-required="1"; value = bgimage }
text = ^_bgcolor	{ ifdef = bgcolor;    html-quote-if-required="1"; value = bgcolor }
text = ^_textcolor	{ ifdef = textcolor;  html-quote-if-required="1"; value = textcolor }
text = ^_linkcolor	{ ifdef = linkcolor;  html-quote-if-required="1"; value = linkcolor }
text = ^_vlinkcolor	{ ifdef = vlinkcolor; html-quote-if-required="1"; value = vlinkcolor }
text = ^_alinkcolor	{ ifdef = alinkcolor; html-quote-if-required="1"; value = alinkcolor }
text = ^_other-tags	{ ifdef = body-other; html-quote-if-required="1"; value = body-other }


###############################( HEADER TAGS )##############################
text = ^main-header-elements  { value =	^meta-content
					^meta-generator
					^meta-description
					^meta-keywords
					^meta-author
					^page-title
					^links
					}

text = ^meta-content	{ value = "<meta http-equiv=Content-Type content=\"text/html; charset=" ^charset "\">\n" }
text = ^meta-generator	{ value = "<meta name=Generator content=\"WebLord " _VER "\">\n" }
text = ^meta-description { ifdef = description; value = "<meta name=description content=" ^_description ">\n" }
text = ^meta-keywords   { ifdef = keywords;  value = "<meta name=keywords content=" ^_keywords ">\n" }
text = ^meta-author     { ifdef = author;  value = "<meta name=author content=" ^_author ">\n" }
text = ^page-title      { ifdef = title;  value = "<title>" title "</title>\n" }
# the following enable automatic quoting if the values contain special symbols
text = ^_description	{ html-quote-if-required="1"; value = description }
text = ^_keywords	{ html-quote-if-required="1"; value = keywords }
text = ^_author		{ html-quote-if-required="1"; value = author }

text = ^charset		{ value = ^charset1 ^charset0 }
text = ^charset1	{ ifdef  = html-charset; value = html-charset }
text = ^charset0	{ ifndef = html-charset; value = "iso-8859-1" }

text = ^language-spec	{ ifdef = html-language;	value = " lang=" ^html-language-spec }
text = ^direction-spec	{ ifdef = html-direction;	value = " dir=" ^html-direction-spec }
text = ^html-language-spec { value=html-language;	html-quote-if-required="1" }
text = ^html-direction-spec { value=html-direction;	html-quote-if-required="1" }

text = ^html-version	{ value = ^html-version1 ^html-version0 }
text = ^html-version1	{ ifdef =  html-version; value = html-version }
text = ^html-version0	{ ifndef = html-version; value = "3.2" }
text = ^html-language	{ value = ^html-language1 ^html-language0 }
text = ^html-language1	{ ifdef =  html-language; value = html-language }
text = ^html-language0	{ ifndef = html-language; value = "EN" }


###############################( HEADER LINK TAGS )##############################
text = ^links
{
	value = ^link-index ^link-contents		# predefined document relations: index and table of contents
		^link-begin ^link-prev ^link-next	# predefined document relations: first, previous, next doc.
		^link-style
		link-other;				# define additional links for the document header
}
text = ^link-style
{
	value = ^link-spec;	^link-rel =		"stylesheet";
				^link-href =		stylesheet-href;
				^link-type =		"text/css";
}
text = ^link-index
{
	value = ^link-spec;	^link-rel =		"index";
				^link-href =		link-index-href;
				^link-title =		link-index-title;
				^link-type =		link-index-type;
				^link-hreflang =	link-index-hreflang;
				^link-hrefdir =		link-index-hrefdir;
				^link-charset =		link-index-charset;
				^link-media =		link-index-media;
}
text = ^link-contents
{
	value = ^link-spec;	^link-rel =		"contents";
				^link-href =		link-contents-href;
				^link-title =		link-contents-title;
				^link-type =		link-contents-type;
				^link-hreflang =	link-contents-hreflang;
				^link-hrefdir =		link-contents-hrefdir;
				^link-charset =		link-contents-charset;
				^link-media =		link-contents-media;
}
text = ^link-begin
{
	value = ^link-spec;	^link-rel =		"begin";
				^link-href =		link-begin-href;
				^link-title =		link-begin-title;
				^link-type =		link-begin-type;
				^link-hreflang =	link-begin-hreflang;
				^link-hrefdir =		link-begin-hrefdir;
				^link-charset =		link-begin-charset;
				^link-media =		link-begin-media;
}
text = ^link-prev
{
	value = ^link-spec;	^link-rel =		"prev";
				^link-href =		link-prev-href;
				^link-title =		link-prev-title;
				^link-type =		link-prev-type;
				^link-hreflang =	link-prev-hreflang;
				^link-hrefdir =		link-prev-hrefdir;
				^link-charset =		link-prev-charset;
				^link-media =		link-prev-media;
}
text = ^link-next
{
	value = ^link-spec;	^link-rel =		"next";
				^link-href =		link-next-href;
				^link-title =		link-next-title;
				^link-type =		link-next-type;
				^link-hreflang =	link-next-hreflang;
				^link-hrefdir =		link-next-hrefdir;
				^link-charset =		link-next-charset;
				^link-media =		link-next-media;
}

text = ^link-spec
{
	ifdef =	^link-rel ^link-href;	# these two must be defined for a functional link
	value =	"<link" ^link-rel-spec ^link-href-spec ^link-title-spec ^link-type-spec
			^link-hreflang-spec ^link-hrefdir-spec ^link-charset-spec
			^link-media-spec ">\n";
}
text = ^link-rel-spec		{ ifdef = ^link-rel;		value = " rel=" ^link-rel-val; }
text = ^link-href-spec		{ ifdef = ^link-href;		value = " href=" ^link-href-val; }
text = ^link-title-spec		{ ifdef = ^link-title;		value = " title=" ^link-title-val; }
text = ^link-type-spec		{ ifdef = ^link-type;		value = " type=" ^link-type-val; }
text = ^link-hreflang-spec	{ ifdef = ^link-hreflang;	value = " hreflang=" ^link-hreflang-val; }
text = ^link-hrefdir-spec	{ ifdef = ^link-hrefdir;	value = " hrefdir=" ^link-hrefdir-val; }
text = ^link-charset-spec	{ ifdef = ^link-charset;	value = " charset=" ^link-charset-val; }
text = ^link-media-spec		{ ifdef = ^link-media;		value = " media=" ^link-media-val; }

text = ^link-rel-val		{ value = ^link-rel;		html-quote-if-required="1" }
text = ^link-href-val		{ value = ^link-href;		html-quote-if-required="1" }
text = ^link-title-val		{ value = ^link-title;		html-quote-if-required="1" }
text = ^link-type-val		{ value = ^link-type;		html-quote-if-required="1" }
text = ^link-hreflang-val	{ value = ^link-hreflang;	html-quote-if-required="1" }
text = ^link-hrefdir-val	{ value = ^link-hrefdir;	html-quote-if-required="1" }
text = ^link-charset-val	{ value = ^link-charset;	html-quote-if-required="1" }
text = ^link-media-val		{ value = ^link-media;		html-quote-if-required="1" }

# try to include "common.wl" ... if not found, continue quietly --- add your own stuff! :-)
#try-include "common.wl"
### end of global.wl
