###############################################################################
#	$VER: html-image.wl 2.0 (14.1.1997)
#
#	Copyright  1997,1998 Udo Schuermann
#	All rights reserved.
#
#	This file is part of the WebLord software distribution.
#
#	Implements a way to create images and image links without using
#	WebLord's built-in IMAGE structure. WebLord uses the 'image-url'
#	keyword internally, so we need to use a different keyword, such
#	as 'image-src' here (which fits a bit better, anyway):
#
#	Define a new image this way:
#
#		text = my-image
#		{
#			value =		html-image;
#			image-src =	"pix/test.gif";
#			image-losrc =	"pix/test-outline.gif";
#			image-width =	"128";
#			image-height =	"72";
#			image-align =	"left";
#			image-border =	"0";
#			image-hspace =	"4";
#			image-vspace =	"1";
#			image-alt =	"A test image";
#			link-target =	"window-id";
#			link-to =	"http://my.site/pix/test-big.gif";
#		}
#
#	Then merely reference the object the way you would reference
#	an IMAGE object:    "This is a test: " my-image
#	Omit any items you don't need. 'image-src' is the only property that
#	is required.
#
#	Notice that it is easy to adapt the code below for the HTML 4.0 general
#	purpose OBJECT element to handle images, applets, animations, movies,
#	etc.
#
###############################################################################
# This is where the good stuff starts. Good study material, too! :-)
#
text = html-image
{
	ifdef = image-src;
	value = ^html-image-center-start ^html-image-link-start
		"<img" ^html-image-spec ">"
		^html-image-link-end ^html-image-center-end;
	
}

text = ^html-image-spec
{
	value = ^html-image-src
		^html-image-losrc
		^html-image-width
		^html-image-height
		^html-image-align
		^html-image-border
		^html-image-hspace
		^html-image-vspace
		^html-image-alt;
}


text = ^html-image-center-start	{ if=align "=" "center"; value="<div align=center>" }
text = ^html-image-center-end	{ if=align "=" "center"; value="</div>" }

text = ^html-image-link-start	{ ifdef = link-to;	value = "<a" ^html-image-link-to ^_html-target-to_ ">" }
text = ^html-image-link-end	{ ifdef = link-to;	value = "</a>" }
text = ^_html-image-link-to	{ value = " href=" ^_html-image-link }
text = ^_html-image-link	{ value = link-to;	html-qoute-if-required = "1" }
text = ^_html-target-to		{ ifdef = link-target;	value = " target=" ^_html-link-target }
text = ^_html-link-target	{ value = link-target;  html-quote-if-required = "1" }

text = ^html-image-src		{ 			value = " src=" ^_html-image-src }
text = ^_html-image-src		{ value = image-src;	html-quote-if-required = "1" }

text = ^html-image-losrc	{ ifdef=image-losrc;	value = " losrc=" ^_html-image-losrc }
text = ^_html-image-losrc	{ value = image-losrc;	html-quote-if-required = "1" }

text = ^html-image-width 	{ ifdef=image-width;	value = " width=" ^_html-image-width }
text = ^_html-image-width	{ value = image-width;	html-quote-if-required = "1" }

text = ^html-image-height	{ ifdef=image-height;	value = " height=" ^_html-image-height }
text = ^_html-image-height	{ value = image-height;	html-quote-if-required = "1" }

text = ^html-image-align	{ ifdef=image-align;	value = ^_html-image-align}
text = ^_html-image-align	{ if=align "!=" "center"; value=" align=" ^__html-image-align
text = ^__html-image-align	{ value = image-align;	html-quote-if-required = "1" }

text = ^html-image-border	{ ifdef=image-border;	value = " border=" ^_html-image-border }
text = ^_html-image-border	{ value = image-border;	html-quote-if-required = "1" }

text = ^html-image-hspace	{ ifdef=image-hspace;	value = " hspace=" ^_html-image-hspace }
text = ^_html-image-hspace	{ value = image-hspace;	html-quote-if-required = "1" }

text = ^html-image-vspace	{ ifdef=image-vspace;	value = " vspace=" ^_html-image-vspace }
text = ^_html-image-vspace	{ value = image-vspace;	html-quote-if-required = "1" }

text = ^html-image-alt		{ ifdef=image-alt;	value = " alt=" ^_html-image-alt }
text = ^_html-image-alt		{ value = image-alt;	html-quote-if-required = "1" }

#end-of-file :-)
