#
#  The result of the site built in the tutorial.
#

# notice that these two files must be in the current directory, otherwise WebLord
# will look for them first in PROGDIR: and then in WebLord: before it gives up.
#
#include "global.wl"
#include "tools.wl"

site = main
{
	width			= "140";
	height			= "48";
	pages			= products faq;
	requires-version	= "1.1";
}

text = page-pattern
{
	value	= "<table cellpadding=8 width=\"100%\" align=left>\n"
		  "<tr>"   table-logo-area    table-heading-area    "</tr>\n"
		  "<tr>"   table-navigation   body                  "</tr>\n"
		  "<tr>"   table-about-area   table-footnote-area   "</tr>\n"
		  "</table>\n"
}

text = table-logo-area
{
	value	= "<td valign=top width=140>" product-logo "</td>"
}

text = table-about-area
{
	value	= "<td></td>";	# nothing but an empty cell
}

text = table-footnote-area
{
	# the 'today' object is defined in the "tools.wl" file. It produces
	# a date in the form of "Wednesday, October 29, 1997"
	value	= "<td>"
			"This page was last updated on " today;
		  "</td>"
}

text = product-logo
{
	value	= <img src=product-logo.gif width=140 height=48 alt="Logo">
}

image = product-logo
{
	image-url	= "product-logo.gif";
	width		= "140";
	height		= "48";
	alt		= "Logo";
}

text = table-navigation
{
	value = "<td width=140 align=top>" nav-buttons "</td>";
}

text = nav-buttons
{
	value	= nav-button-1  "<br>"
		  nav-button-2  "<br>"
		  nav-button-3  "<br>"
		  nav-button-4
}

image = nav-button-1 { image-url = "nav1.gif";   alt = "Products"   link = "products.html" }
image = nav-button-2 { image-url = "nav2.gif";   alt = "Support"    link = "support.html" }
image = nav-button-3 { image-url = "nav3.gif";   alt = "Email Us"   link = "email.html" }
image = nav-button-4 { image-url = "nav4.gif";   alt = "FAQ"        link = "faq.html" }

text = nav-buttons
{
	value =	buttons;
}

text = nav-products	{ if=page-name "!=" "products";	then=nav-button-1 "<br>" }
text = nav-support	{ if=page-name "!=" "support";	then=nav-button-2 "<br>" }
text = nav-email	{ if=page-name "!=" "email";	then=nav-button-3 "<br>" }
text = nav-faq		{ if=page-name "!=" "faq";	then=nav-button-4 "<br>" }

text = table-heading-area
{
	ifdef	= title;
	value	= "<td valign=top><h1 align=center>" title "</h1>"
		  "<hr></td>";
}

page = products
{
	value		= header page-pattern footer;
	page-name	= "products";
	body		= "This is the contents of page 1. "
			  "Easy, don't you think?";

	title		= "The Products Page";		# also used by "header"
	description	= "Product and price listings with ordering information";
	keywords	= "mordorsoft sloth widgets product price ordering";
	author		= "J.Hendrix";

	nav-buttons	= nav-support
			  nav-email
			  nav-faq;
}

page = faq
{
	value		= header page-pattern footer;
	page-name	= "faq";
	body		= "The FAQ begins here:\n"
			  faq-body
			  "End of FAQ.";

	title		= "The Frequently Asked Questions Page";		# also used by "header"
	description	= "Frequently asked and answered questions";

	nav-buttons	= nav-products
			  nav-support
			  nav-email;
}

text = faq-body
{
	value			= "temp.file";
	exec			= "Work:www-tools/build-faq >" value;
	exec-cleanup		= "c:delete " value;
	value-in-file		= "1";		# any value will do
	file-has-variables	= "1";		# any value will do
}

# this is the end of file
